org.apache.http.client.methods

## Interface Configurable

- All Known Implementing Classes:
    HttpDelete, HttpEntityEnclosingRequestBase, HttpGet, HttpHead, HttpOptions, HttpPatch, HttpPost, HttpPut, HttpRequestBase, HttpTrace

      public interface Configurable

  Configuration interface for HTTP requests.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestConfig` | `getConfig()` Returns actual request configuration.

- - ### Method Detail

    - #### getConfig

          RequestConfig getConfig()

      Returns actual request configuration.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.